<?php
require_once("DBManager.class.php");

class interesblog{
	private $idblog;///
	private $idpersona;
	private $interes;	
	///////////////////////////////////////////
	public function Crear($vib,$vidp,$int)
	{   
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("INSERT INTO interesblog(idblog,idpersona,interes) VALUES('".$vib."',".$vidp.",".$int.")"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorPersona($p)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from interesblog where(idpersona =".$p.") order by idblog desc");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idblog"   => $rs->fields["idblog"],
									"idpersona" 	    => $rs->fields["idpersona"],
									"interes"         => $rs->fields["interes"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function ListarPorIdblog($p)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from interesblog where(idblog ='".$p."') order by idblog desc");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idblog"   => $rs->fields["idblog"],
									"idpersona" 	    => $rs->fields["idpersona"],
									"interes"         => $rs->fields["interes"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
		
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from interesblog where(idblog = '".$vcod."')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                  $this->idblog=$rs->fields["idblog"];
				      $this->idpersona=$rs->fields["idpersona"];
					  $this->interes=$rs->fields["interes"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	public function Verificar($vcod,$idpersona)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from interesblog where(idblog = '".$vcod."' and idpersona=".$idpersona.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                  $this->idblog=$rs->fields["idblog"];
				      $this->idpersona=$rs->fields["idpersona"];
					  $this->interes=$rs->fields["interes"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
		
	public function ActualizarInteres($vi,$es)			
	{
		$resp=false;		
		$db= new DBManager();
		if($db->_execute("update interesblog set interes = ".$es." where (idblog='".$vi."') "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	//////////////////////////////
	public function Eliminar($vcod,$idp)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM interesblog WHERE (idblog='".$vcod."' and idpersona=".$idp.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	////////////////////////////////////////							
	
	public function getIdblog(){ return $this->idblog;}
	public function getIdpersona(){ return $this->idpersona;}
	public function getInteres(){ return $this->interes;}
}
?>
